@import "colors";

* {
  font-family: cursive;
  color: #734e4c;
}

header {
  align-items: center;
  background: $consul-blue-primary;
  border-bottom: 1px solid darkgray;
  color: $consul-white;
  display: flex;
  justify-content: center;
  min-height: 3rem;
  min-width: 100%;
  position: sticky;
  top: 0;
  z-index: 2;
}

nav {
  height: 100%;
}

footer {
  align-items: center;
  // bottom: 0;
  background: $consul-blue-primary;
  border-top: 1px solid darkgray;
  color: $consul-white;
  display: flex;
  height: 3rem;
  justify-content: center;
  min-width: 100%;
}

.consul-dashboard-table {
  border: 1px solid #f9a59a;
  display: block;
  overflow-x: auto;
  white-space: nowrap;
  width: 100%;
  tr {
    :last-child {
      td {
        border-bottom: 0;
      }
    }
  }
  tr:nth-child(even) {
    background-color: #baa6a573;
  }
  td,
  th {
    border-bottom: 1px solid #f9a59a;
    border-right: 1px solid #f9a59a;
    padding: 0.5rem;
    text-align: center;
    overflow: hidden;
    :last-child {
      border-right: 0;
    }
  }
  .tr {
    :last-child {
      .td {
        border-bottom: 0;
      }
    }
  }

  .th,
  .td {
    padding: 5px;
    border-bottom: 1px solid #ddd;
    border-right: 1px solid #ddd;
    background-color: #fff;
    overflow: hidden;

    :last-child {
      border-right: 0;
    }

    .resizer {
      display: inline-block;
      width: 5px;
      height: 100%;
      position: absolute;
      right: 0;
      top: 0;
      transform: translateX(50%);
      z-index: 1;

      &.isResizing {
        background: red;
      }
    }
  }
  &.sticky {
    overflow: scroll;
      .header,
      .footer {
        position: sticky;
        z-index: 3;
        width: fit-content;
      }

      .header {
        top: 0;
        box-shadow: 0px 3px 3px #ccc;
      }

      .footer {
        bottom: 0;
        box-shadow: 0px -3px 3px #ccc;
      }

      .body {
        position: relative;
        z-index: 0;
      }

    [data-sticky-td] {
      position: sticky;
    }

    [data-sticky-last-left-td] {
      box-shadow: 2px 0px 3px #ccc;
    }

    [data-sticky-first-right-td] {
      box-shadow: -2px 0px 3px #ccc;
    }
  }
}

.consul-dashboard-table-motivoConsul {
  align-items: start;
  display: flex;
}

.consul-body {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  padding: 0.75rem 0;
}

.consul-sidebar {
  background: $consul-blue-secondary;
  border-right: 1px solid darkgray;
  bottom: 0;
  padding: 3rem 0;
  position: fixed;
  top: 0;
  width: 11rem;
  ul {
    display: flex;
    flex-direction: column;
    height: 100%;
    list-style-type: none;
    overflow-y: scroll;
    padding-left: 0rem;
    position: relative;
  }
  ul::-webkit-scrollbar {
    width: 0 !important;
  }
  li {
    margin: 0rem 0.5rem;
    padding: 0.5rem 0.5rem;
    text-align: center;
    display: flex;
    a {
      color: #734e4c;
      text-decoration: none;
      width: 100%;
    }
    a:hover {
      color: #a37e7b;
    }
  }
  li:hover {
    // color: #4854ea;
    background: #f9a59a91;
    border-radius: 20px;
    cursor: pointer;
  }
  img {
    width: 100%;
  }
}

.consul-active-menu{
    margin: 0rem 0.5rem;
    padding: 0.5rem 0.5rem;
    text-align: center;
    background: #f9a59a91;
    border-radius: 20px;
  
}

.consul-principal-content {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin-left: 11rem;
}

.consul-titulo-generico {
  margin: 1rem 0;
}

.consul-input-error {
  border: 1px solid #dc3545;
}

.consul-input-error:focus {
  border: 1px solid #dc3545;
  color: #212529;
  background-color: #fff;
  outline: 0;
  box-shadow: 0 0 0 0.25rem #dc35452e;
}

.consul-chechbox-container {
  display: flex;
  align-content: center;
  input[type="checkbox"] {
    margin-left: 5px;
  }
}

.consul-historial-form textarea {
  height: 300px;
}

.consul-principal-content .fc-media-screen {
  z-index: 1;
}

.pagination {
  margin-top: 1rem;
  *:not(:first-child) {
    margin-left: 5px;
  }
}
